using System;
using System.Collections.Generic;
using System.Linq;
using Avalonia.Controls;
using AvaloniaApplication5.Models;
//using AvaloniaApplication5.Models;
using AvaloniaApplication5.Views;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace AvaloniaApplication5.ViewModels
{
	public class PageLoginViewModel : ReactiveObject
	{    
        string login="";
        string password="";
        string message = "";      

        public string Login { get => login; set => login = value; }
        public string Password { get => password; set => password = value; }
        public string Message { get => message; set => this.RaiseAndSetIfChanged(ref message,value); }
       
    }
}